com.brightcove.player.ads

## Enum AdAsset.AdType

- java.lang.Object
- - java.lang.Enum<AdAsset.AdType>
  - - com.brightcove.player.ads.AdAsset.AdType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AdAsset.AdType>
  Enclosing class:
    AdAsset

      public static enum AdAsset.AdType
      extends java.lang.Enum<AdAsset.AdType>

  The ad types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MIDROLL` Represents an ad to be played during the content by interrupting it.
    `POSTROLL` Represents an ad to be played after the content.
    `PREROLL` Represents an ad to be played before the content.
    `UNKNOWN` Used when none other option is matched.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdAsset.AdType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AdAsset.AdType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final AdAsset.AdType UNKNOWN

      Used when none other option is matched.

    - #### PREROLL

          public static final AdAsset.AdType PREROLL

      Represents an ad to be played before the content.

    - #### MIDROLL

          public static final AdAsset.AdType MIDROLL

      Represents an ad to be played during the content by interrupting it.

    - #### POSTROLL

          public static final AdAsset.AdType POSTROLL

      Represents an ad to be played after the content.

  - ### Method Detail

    - #### values

          public static AdAsset.AdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AdAsset.AdType c : AdAsset.AdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AdAsset.AdType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null